Will this work with Yosemite?

Back To Product

Follow this Question

1 Answer from the Community

  • As of this writing, according to the Apple Shop the requirements are:
    "Bluetooth-enabled Mac computer with OS X v10.11 or later".

    Was this useful? Answer 1

    0 of 1 people found this useful

Related Questions